[Unstable Update] 2020-03-08 - Gnome 3.36, Systemd v245, Gamemode, Poppler

Hello community,

here is another Unstable Update for you:


Looking forward to push the lastest Gnome 3.36 to all our branches ...

Some feature-updates:

  • Gnome got updated to 3.36. As usual report your issues!
  • poppler packages got updated
  • gamemode is updated to 1.5.1
  • systemd is now at v245. Please report any regressions!

If you like following latest Plasma development you may also like to check out our current version of manjaro-kde-dev, which we build on a regular basis against kde-git master packages. Also check out our current 19.0.2 ISOs and give us the needed feedback. You might also want to give our latest spin with NX-Desktop a try ...

As always we appreciate your input and feedback for the updates.


Upstream notice

Arch updated their default compression to zstd. We adopted to the same standard. More and more packages will have the zst extension from now on. If you get for what ever reason an error with ZSTD not supported as archive format you can do this:

wget https://pkgbuild.com/~eschwartz/repo/x86_64-extracted/pacman-static
chmod +x pacman-static
sudo ./pacman-static -Syyu

Our current supported kernels

  • linux316 3.16.82
  • linux44 4.4.215
  • linux49 4.9.215
  • linux414 4.14.172
  • linux419 4.19.108
  • linux54 5.4.24
  • linux55 5.5.8
  • linux56 5.6-rc4
  • linux419-rt 4.19.106_rt44
  • linux54-rt 5.4.22_rt13

Package Changes (Sat Mar 7 16:03:47 CET 2020)

:: Different overlay package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE              testing             unstable
-------------------------------------------------------------------------------
                               cpu-x3.2.4.r191.ga1b1e74-13.2.4.r193.g73fe01e-1
                            gamemode                1.5-1              1.5.1-1
      gnome-shell-extension-arc-menu        1:41+Stable-1        1:43+Stable-1
  gnome-shell-extension-dash-to-dock                 67-3                 67-4
 gnome-shell-extension-dash-to-panel    v26+33+gba75e61-1                v29-1
     gnome-shell-extension-gsconnect                 31-1                 34-1
                 manjaro-check-repos   0.9.5+1+gbf0784f-1              0.9.6-1
              manjaro-gdm-theme-19.0           20200207-1           20200308-1
         manjaro-gnome-settings-19.0           20200207-1           20200307-1
              manjaro-openbox-config             1.20.1-5             1.20.1-6
    manjaro-openbox-desktop-settings             1.20.1-5             1.20.1-6


:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE              testing             unstable
-------------------------------------------------------------------------------
                              adrdox              1.0.0-5              2.0.0-1
                            adriconf              1.5.1-2              1.6.1-1
                                agda  2.6.0.1.20191219-34  2.6.0.1.20191219-36
                             almanah             0.12.0-1             0.12.0-2
                 appstream-generator              0.8.1-1              0.8.1-2
                            blackbox               0.75-1               0.76-1
                           blueberry              1.3.4-2              1.3.5-1
                      budgie-desktop             10.5.1-110.5.1+12+g10b814fa-1
                             buildah             1.14.1-1             1.14.2-1
                       cabal-install           3.0.0.0-43           3.0.0.0-45
                               cgrep            6.6.30-46            6.6.30-47
                              conmon            1:2.0.9-1           1:2.0.11-1
                                croc              8.0.1-1              8.0.2-1
                                crun           0.12.2.1-1               0.13-1
                             cryptol             2.8.0-70             2.8.0-71
                        d-containers      0.8.0alpha.19-2      0.8.0alpha.19-3
                          d-mir-core              1.0.2-2              1.1.0-1
                    d-stdx-allocator              3.0.2-8              3.0.2-9
                               darcs           2.14.2-178           2.14.2-180
                         debootstrap            1.0.119-1            1.0.120-1
                          deepin-api              5.0.0-3              5.0.0-4
                       deepin-daemon              5.0.0-2              5.0.0-3
                       deepin-mutter            3.20.38-2            3.20.38-3
                           deepin-wm             1.9.38-3             1.9.38-4
                             diet-ng              1.6.0-3              1.6.1-1
                      dns-over-https              2.2.1-1              2.2.1-2
                      dnscrypt-proxy             2.0.39-2             2.0.39-3
                             drawing             0.4.10-1             0.4.13-1
                            electron              8.1.0-1              8.1.0-2
                           electron2             2.0.18-2             2.0.18-3
                           electron4             4.2.12-2             4.2.12-3
                           electron5             5.0.13-1             5.0.13-2
                           electron6              6.1.9-1              6.1.9-2
                        emptyepsilon         2020.01.15-1         2020.02.18-1
                               eolie             0.9.98-1           0.9.98.1-1
                       evolution-rss             0.3.95-7             0.3.96-1
                       gambas3-devel             3.14.3-5             3.14.3-7
                     gambas3-gb-args             3.14.3-5             3.14.3-7
                    gambas3-gb-cairo             3.14.3-5             3.14.3-7
                    gambas3-gb-chart             3.14.3-5             3.14.3-7
                  gambas3-gb-clipper             3.14.3-5             3.14.3-7
                  gambas3-gb-complex             3.14.3-5             3.14.3-7
                 gambas3-gb-compress             3.14.3-5             3.14.3-7
                    gambas3-gb-crypt             3.14.3-5             3.14.3-7
                     gambas3-gb-data             3.14.3-5             3.14.3-7
                       gambas3-gb-db             3.14.3-5             3.14.3-7
                  gambas3-gb-db-form             3.14.3-5             3.14.3-7
                 gambas3-gb-db-mysql             3.14.3-5             3.14.3-7
                  gambas3-gb-db-odbc             3.14.3-5             3.14.3-7
            gambas3-gb-db-postgresql             3.14.3-5             3.14.3-7
               gambas3-gb-db-sqlite3             3.14.3-5             3.14.3-7
                     gambas3-gb-dbus             3.14.3-5             3.14.3-7
                  gambas3-gb-desktop             3.14.3-5             3.14.3-7
            gambas3-gb-desktop-gnome             3.14.3-5             3.14.3-7
              gambas3-gb-desktop-x11             3.14.3-5             3.14.3-7
           gambas3-gb-eval-highlight             3.14.3-5             3.14.3-7
                     gambas3-gb-form             3.14.3-5             3.14.3-7
              gambas3-gb-form-dialog             3.14.3-5             3.14.3-7
              gambas3-gb-form-editor             3.14.3-5             3.14.3-7
                 gambas3-gb-form-mdi             3.14.3-5             3.14.3-7
               gambas3-gb-form-stock             3.14.3-5             3.14.3-7
            gambas3-gb-form-terminal             3.14.3-5             3.14.3-7
                      gambas3-gb-gmp             3.14.3-5             3.14.3-7
                      gambas3-gb-gsl             3.14.3-5             3.14.3-7
                      gambas3-gb-gtk             3.14.3-5             3.14.3-7
               gambas3-gb-gtk-opengl             3.14.3-5             3.14.3-7
                     gambas3-gb-gtk3             3.14.3-5             3.14.3-7
                    gambas3-gb-httpd             3.14.3-5             3.14.3-7
                    gambas3-gb-image             3.14.3-5             3.14.3-7
             gambas3-gb-image-effect             3.14.3-5             3.14.3-7
              gambas3-gb-image-imlib             3.14.3-5             3.14.3-7
                 gambas3-gb-image-io             3.14.3-5             3.14.3-7
                  gambas3-gb-inotify             3.14.3-5             3.14.3-7
                   gambas3-gb-libxml             3.14.3-5             3.14.3-7
                  gambas3-gb-logging             3.14.3-5             3.14.3-7
                      gambas3-gb-map             3.14.3-5             3.14.3-7
                 gambas3-gb-markdown             3.14.3-5             3.14.3-7
                    gambas3-gb-media             3.14.3-5             3.14.3-7
               gambas3-gb-media-form             3.14.3-5             3.14.3-7
                gambas3-gb-memcached             3.14.3-5             3.14.3-7
                     gambas3-gb-mime             3.14.3-5             3.14.3-7
                    gambas3-gb-mysql             3.14.3-5             3.14.3-7
                  gambas3-gb-ncurses             3.14.3-5             3.14.3-7
                      gambas3-gb-net             3.14.3-5             3.14.3-7
                 gambas3-gb-net-curl             3.14.3-5             3.14.3-7
                 gambas3-gb-net-pop3             3.14.3-5             3.14.3-7
                 gambas3-gb-net-smtp             3.14.3-5             3.14.3-7
                   gambas3-gb-openal             3.14.3-5             3.14.3-7
                   gambas3-gb-opengl             3.14.3-5             3.14.3-7
              gambas3-gb-opengl-glsl             3.14.3-5             3.14.3-7
               gambas3-gb-opengl-glu             3.14.3-5             3.14.3-7
               gambas3-gb-opengl-sge             3.14.3-5             3.14.3-7
                  gambas3-gb-openssl             3.14.3-5             3.14.3-7
                   gambas3-gb-option             3.14.3-5             3.14.3-7
                     gambas3-gb-pcre             3.14.3-5             3.14.3-7
                      gambas3-gb-pdf             3.14.3-5             3.14.3-7
                      gambas3-gb-qt5             3.14.3-5             3.14.3-7
               gambas3-gb-qt5-opengl             3.14.3-5             3.14.3-7
               gambas3-gb-qt5-webkit             3.14.3-5             3.14.3-7
                   gambas3-gb-report             3.14.3-5             3.14.3-7
                  gambas3-gb-scanner             3.14.3-5             3.14.3-7
                      gambas3-gb-sdl             3.14.3-5             3.14.3-7
                gambas3-gb-sdl-sound             3.14.3-5             3.14.3-7
                     gambas3-gb-sdl2             3.14.3-5             3.14.3-7
               gambas3-gb-sdl2-audio             3.14.3-5             3.14.3-7
                 gambas3-gb-settings             3.14.3-5             3.14.3-7
                   gambas3-gb-signal             3.14.3-5             3.14.3-7
                     gambas3-gb-term             3.14.3-5             3.14.3-7
                     gambas3-gb-util             3.14.3-5             3.14.3-7
                 gambas3-gb-util-web             3.14.3-5             3.14.3-7
                      gambas3-gb-v4l             3.14.3-5             3.14.3-7
                       gambas3-gb-vb             3.14.3-5             3.14.3-7
                      gambas3-gb-web             3.14.3-5             3.14.3-7
                 gambas3-gb-web-feed             3.14.3-5             3.14.3-7
                 gambas3-gb-web-form             3.14.3-5             3.14.3-7
                      gambas3-gb-xml             3.14.3-5             3.14.3-7
                 gambas3-gb-xml-html             3.14.3-5             3.14.3-7
                  gambas3-gb-xml-rpc             3.14.3-5             3.14.3-7
                 gambas3-gb-xml-xslt             3.14.3-5             3.14.3-7
                         gambas3-ide             3.14.3-5             3.14.3-7
                     gambas3-runtime             3.14.3-5             3.14.3-7
                      gambas3-script             3.14.3-5             3.14.3-7
                                gdal              3.0.4-2              3.0.4-4
                            gir-to-d             0.20.0-3             0.20.0-4
                           git-annex        8.20200226-10        8.20200226-14
                          git-repair        1.20200102-35        1.20200102-37
                              gitlab             12.8.2-1             12.8.2-2
                             glabels              3.4.1-5              3.4.1-6
                               glibd              2.1.0-6              2.1.0-7
                       gnome-applets             3.34.0-1             3.34.0-2
                     gnome-flashback             3.34.2-1             3.35.2-1
                         gnome-games             3.34.2-1             3.36.0-1
                 gnome-initial-setup             3.34.3-1             3.34.3-2
                         gnome-panel             3.34.1-1             3.35.2-1
                  gnome-passwordsafe             3.32.0-2             3.99.2-1
                 gnome-phone-manager              0.69-13              0.69-14
                       gnome-recipes              2.0.2-4              2.0.4-1
                   gnome-screensaver             3.6.1-16             3.6.1-17
                      gnome-software             3.34.2-1             3.34.2-2
    gnome-software-packagekit-plugin             3.34.2-1             3.34.2-2
                      go-tools 2:1.13+3523+65e3620a7-3 2:1.14+3922+575de4798-1
              golang-golang-x-crypto       0.0.20191228-1       0.0.20200303-1
                             gpodder            3.10.11-2            3.10.13-1
                              gpxsee               7.22-1               7.25-1
                              gradle              6.2.1-1              6.2.2-1
                          gradle-doc              6.2.1-1              6.2.2-1
                          gradle-src              6.2.1-1              6.2.2-1
                              grails              4.0.1-1              4.0.2-1
                         grails-docs              4.0.1-1              4.0.2-1
                                gtkd              3.9.0-5              3.9.0-6
                               guake              3.6.3-2              3.7.0-1
                  haskell-aeson-diff           1.1.0.8-61           1.1.0.8-62
                    haskell-aeson-qq             0.8.3-31             0.8.3-32
                haskell-authenticate             1.3.5-64             1.3.5-66
          haskell-authenticate-oauth           1.6.0.1-45           1.6.0.1-47
                 haskell-auto-update             0.1.6-40             0.1.6-41
                         haskell-aws           0.21.1-186           0.21.1-188
              haskell-binary-conduit             1.3.1-96             1.3.1-97
                       haskell-■■■■■              0.52-13              0.52-14
              haskell-broadcast-chan              0.2.1-4              0.2.1-5
            haskell-bsb-http-chunked           0.0.0.4-79           0.0.0.4-80
                 haskell-casa-client    0.0.0.20191219-36    0.0.0.20191219-38
                  haskell-casa-types    0.0.0.20191219-26    0.0.0.20191219-27
                  haskell-cheapskate           0.1.1.2-34           0.1.1.2-36
               haskell-clash-prelude             1.0.1-25             1.0.1-27
              haskell-classy-prelude             1.5.0-22             1.5.0-23
                     haskell-concise          0.1.0.1-155          0.1.0.1-156
                     haskell-conduit           1.3.1.2-29           1.3.1.2-30
               haskell-conduit-extra             1.3.4-56             1.3.4-57
                  haskell-config-ini           0.2.4.0-89           0.2.4.0-90
                   haskell-criterion            1.5.6.1-4            1.5.6.1-6
          haskell-cryptohash-conduit            0.1.1-346            0.1.1-347
          haskell-cryptonite-conduit            0.2.2-240            0.2.2-241
                         haskell-dav             1.3.4-43             1.3.4-46
                        haskell-dbus             1.2.7-89             1.2.7-91
                         haskell-dns              4.0.1-3              4.0.1-4
                   haskell-esqueleto           3.3.1.1-20           3.3.1.1-21
                 haskell-fast-logger             3.0.1-14             3.0.1-15
                  haskell-fdo-notify            0.3.1-249            0.3.1-251
                        haskell-feed            1.3.0.0-6            1.3.0.0-7
                haskell-generic-data            0.8.1.0-4            0.8.1.0-5
                haskell-generic-lens            2.0.0.0-4            2.0.0.0-5
          haskell-ghc-typelits-extra              0.3.2-1              0.3.2-2
       haskell-ghc-typelits-knownnat             0.7.1-11             0.7.1-12
   haskell-ghc-typelits-natnormalise               0.7-10              0.7.1-1
                     haskell-githash           0.1.3.3-59           0.1.3.3-62
            haskell-hackage-security           0.6.0.0-33           0.6.0.0-35
             haskell-haddock-library             1.8.0-28             1.8.0-30
                      haskell-hakyll          4.13.0.1-31          4.13.0.1-36
                    haskell-hedgehog             1.0.2-19             1.0.2-20
                        haskell-here           1.2.13-113           1.2.13-114
              haskell-hi-file-parser           0.1.0.0-26           0.1.0.0-27
                 haskell-hledger-lib               1.17-2           1.17.0.1-1
                    haskell-hopenpgp             2.9.4-13             2.9.4-18
                       haskell-hpack            0.33.0-72            0.33.0-75
                   haskell-hspec-wai            0.9.2-121             0.10.0-3
              haskell-hspec-wai-json            0.9.2-135             0.10.0-4
                haskell-html-conduit           1.3.2.1-46           1.3.2.1-47
                        haskell-http        4000.3.14-125        4000.3.14-127
                 haskell-http-client             0.6.4-75             0.6.4-77
             haskell-http-client-tls          0.3.5.3-186          0.3.5.3-188
                haskell-http-conduit           2.3.7.3-78           2.3.7.3-80
               haskell-http-download           0.1.0.1-58           0.1.0.1-60
                haskell-http-streams           0.8.7.1-31           0.8.7.1-35
                       haskell-http2             2.0.3-51             2.0.3-53
                  haskell-httpd-shed           0.4.1.1-56           0.4.1.1-58
                         haskell-hxt          9.3.1.18-28          9.3.1.18-30
          haskell-incremental-parser                0.4-4                0.4-5
   haskell-insert-ordered-containers              0.2.3-9             0.2.3-10
                 haskell-interpolate            0.2.0-128            0.2.0-129
    haskell-interpolatedstring-perl6             1.0.2-28             1.0.2-29
                       haskell-ipynb              0.1-143              0.1-144
                 haskell-ixset-typed           0.4.0.1-60           0.4.0.1-61
                        haskell-jose           0.8.2.0-45           0.8.2.0-48
                   haskell-js-jquery            3.3.1-366            3.3.1-368
                 haskell-juicypixels             3.3.4-17              3.3.5-1
                        haskell-lens            4.18.1-16               4.19-1
                 haskell-lens-action             0.2.4-18             0.2.4-19
                  haskell-lens-aeson                1.1-9               1.1-10
                     haskell-libyaml             0.1.2-13             0.1.2-14
                haskell-monad-logger             0.3.32-3             0.3.32-4
                    haskell-mustache             2.3.1-45             2.3.1-48
          haskell-network-byte-order            0.1.2.0-4            0.1.3.0-1
           haskell-network-multicast             0.2.0-87              0.3.2-1
                 haskell-network-uri           2.6.3.0-24           2.6.3.0-26
                       haskell-nonce             1.0.7-84             1.0.7-85
             haskell-optparse-simple          0.1.1.2-136          0.1.1.2-139
                      haskell-pantry            0.3.0.0-3            0.3.0.0-6
                  haskell-persistent          2.10.5.1-16          2.10.5.1-17
               haskell-persistent-qq           2.9.1.1-38           2.9.1.1-40
           haskell-persistent-sqlite          2.10.6.2-16          2.10.6.2-17
         haskell-persistent-template            2.8.2.1-1            2.8.2.1-2
             haskell-persistent-test           2.0.3.0-94           2.0.3.0-95
                  haskell-pipes-http             1.0.6-98            1.0.6-100
               haskell-prettyprinter              1.4.0-4              1.5.0-1
 haskell-prettyprinter-ansi-terminal           1.1.1.2-79           1.1.1.2-80
haskell-prettyprinter-convert-ansi-wl-pprint       1.1-76               1.1-77
            haskell-project-template          0.2.0.1-210          0.2.0.1-211
                haskell-rank2classes            1.3.2.1-4                1.4-1
                   haskell-resourcet              1.2.3-1              1.2.3-2
                       haskell-retry           0.8.1.0-30           0.8.1.0-31
                         haskell-rio           0.1.14.1-2           0.1.14.1-3
                 haskell-rio-orphans           0.1.1.0-84           0.1.1.0-85
             haskell-rio-prettyprint           0.1.0.0-35           0.1.0.0-36
                    haskell-safecopy            0.10.2-20            0.10.2-21
                       haskell-sandi               0.5-93               0.5-94
                         haskell-say           0.1.0.1-14           0.1.0.1-15
                         haskell-sbv               8.6-32               8.6-33
                     haskell-servant            0.16.2-55            0.16.2-57
              haskell-servant-server           0.16.2-110           0.16.2-113
             haskell-servant-swagger           1.1.7.1-82           1.1.7.1-85
                       haskell-shake            0.18.5-36            0.18.5-38
             haskell-simple-sendfile            0.2.30-39            0.2.30-40
                 haskell-skylighting           0.8.3.2-26           0.8.3.2-28
            haskell-skylighting-core           0.8.3.2-26           0.8.3.2-28
                   haskell-snap-core           1.0.4.1-39           1.0.4.1-41
                 haskell-snap-server          1.1.1.1-145          1.1.1.1-147
                    haskell-src-meta              0.8.4-5              0.8.5-1
                       haskell-store             0.7.2-15             0.7.2-16
                    haskell-swagger2                2.4-8                2.4-9
           haskell-tagstream-conduit          0.5.5.3-335          0.5.5.3-336
                 haskell-tar-conduit             0.3.2-57             0.3.2-58
              haskell-tasty-hedgehog           1.0.0.2-19           1.0.0.2-20
                     haskell-texmath          0.12.0.1-19          0.12.0.1-21
                haskell-time-manager             0.0.0-37             0.0.0-38
         haskell-tls-session-manager             0.0.4-24             0.0.4-25
                   haskell-tree-diff               0.1-60               0.1-62
                    haskell-trifecta               2.1-19               2.1-21
               haskell-typed-process           0.2.6.0-23           0.2.6.0-24
                    haskell-unliftio           0.2.12.1-1           0.2.12.1-2
               haskell-unliftio-core            0.1.2.0-9            0.2.0.0-1
              haskell-uri-bytestring           0.3.2.2-35           0.3.2.2-36
                  haskell-uri-encode           1.5.0.5-39           1.5.0.5-41
              haskell-wai-app-static           3.1.7.1-40           3.1.7.1-42
                 haskell-wai-conduit          3.0.0.4-183          3.0.0.4-184
                   haskell-wai-extra          3.0.29.1-15          3.0.29.1-17
          haskell-wai-handler-launch            3.0.3.1-9           3.0.3.1-11
                  haskell-wai-logger             2.3.6-44             2.3.6-46
                        haskell-warp             3.3.8-39             3.3.8-41
                    haskell-warp-tls            3.2.11-28            3.2.11-30
                        haskell-wreq          0.5.3.2-146          0.5.3.2-149
                 haskell-xml-conduit          1.8.0.1-128          1.8.0.1-129
                  haskell-xml-hamlet           0.5.0.1-54           0.5.0.1-55
                haskell-xss-sanitize             0.3.6-76             0.3.6-78
                        haskell-yaml          0.11.2.0-42          0.11.2.0-43
                       haskell-yesod           1.6.0.1-38           1.6.0.1-40
                  haskell-yesod-auth             1.6.9-32             1.6.9-34
                  haskell-yesod-core           1.6.17.3-2           1.6.17.3-4
               haskell-yesod-default            1.2.0-685            1.2.0-687
                  haskell-yesod-form            1.6.7-118            1.6.7-120
            haskell-yesod-persistent           1.6.0.4-63           1.6.0.4-65
                haskell-yesod-static          1.6.0.1-318          1.6.0.1-320
                  haskell-yesod-test             1.6.9-78             1.6.9-80
                           hedgewars             1.0.0-46             1.0.0-47
                             hledger               1.17-2               1.17-3
                          hledger-ui               1.17-2               1.17-4
                         hledger-web               1.17-4               1.17-7
                               hlint            2.2.11-13            2.2.11-14
                              hoogle          5.0.17.13-4          5.0.17.14-3
                      hopenpgp-tools              0.23-69              0.23-74
                      ibus-libpinyin             1.11.1-2             1.11.1-3
                               idris             1.3.2-83             1.3.2-85
                             jenkins              2.222-1              2.223-1
                                jp2a              1.0.7-2              1.0.9-1
                                 k9s             0.17.4-1             0.17.5-1
                                 ldc           2:1.19.0-1           2:1.20.1-1
                           libad9361                0.2-1                0.2-2
                              libiio               0.18-3               0.19-1
                          liblphobos           2:1.19.0-1           2:1.20.1-1
                                 lxd               3.21-2               3.22-1
                           lxsession            1:0.5.4-1            1:0.5.5-1
                      lxsession-gtk3            1:0.5.4-1            1:0.5.5-1
                            metacity             3.34.1-1             3.36.0-1
                                 min             1.12.0-1             1.13.0-1
                               minio         2019.12.17-1         2019.12.17-2
                        minio-client         2019.12.17-1         2019.12.17-2
                           mosquitto              1.6.8-1              1.6.9-1
                          mustache-d              0.1.4-2              0.1.4-3
                            neofetch              6.1.0-1              7.0.0-1
                   npm-check-updates              4.0.4-1              4.0.4-2
                             openbve            1.7.1.1-1            1.7.1.3-1
                           osinfo-db           20191125-1           20200214-1
                              pandoc             2.9.2-35             2.9.2-40
                     pandoc-citeproc              0.17-15              0.17-20
                     pandoc-crossref           0.3.6.2-12           0.3.6.2-17
                   pantheon-calendar              5.0.3-1              5.0.3-2
                                pari             2.11.3-1             2.11.3-2
                            pdf2djvu             0.9.16-1             0.9.17-1
                              phodav                2.3-1                2.4-1
                          photoflare              1.6.2-1              1.6.3-1
                         php-imagick              3.4.4-5              3.4.4-6
                           postgrest             6.0.2-74             6.0.2-79
                             pysolfc              2.8.0-1              2.8.0-2
                         python-boto             2.49.0-3    2.49.0.20190327-1
                        python-bsddb              6.2.6-4              6.2.7-1
                         python-cmd2             0.10.0-1             0.10.1-1
                     python-dominate              2.4.0-3              2.5.1-1
                python-elasticsearch              7.5.0-1              7.5.1-1
                         python-gdal              3.0.4-2              3.0.4-4
                 python-glanceclient             2.17.0-3              3.0.0-1
                   python-hypothesis             4.57.1-1              5.0.1-1
          python-importlib_resources              1.2.0-1              1.3.1-1
                         python-ipdb             0.12.3-1             0.13.1-1
                        python-js2py               0.67-2               0.68-1
                  python-lark-parser              0.8.1-1              0.8.2-1
                        python-odfpy              1.4.0-4              1.4.1-1
                       python-owslib             0.19.0-1             0.19.1-1
                     python-pendulum              2.0.5-1              2.1.0-1
               python-prompt_toolkit              3.0.3-1              3.0.4-1
                       python-pygit2              1.0.3-2              1.0.3-3
                   python-pyjsparser              2.7.1-3              2.7.1-4
                    python-pykeepass              3.1.2-1              3.2.0-1
                      python-pymysql              0.9.3-2              0.9.3-3
                  python-pysol_cards              0.8.7-1              0.8.8-1
                python-requests-hawk              1.0.0-4              1.0.1-1
                       python-ropper             1.13.4-1             1.13.5-1
                  python-zope-schema              4.9.3-4              5.0.1-1
                        python2-boto             2.49.0-3    2.49.0.20190327-1
               python2-elasticsearch              7.5.0-1              7.5.1-1
                              qtspim             9.1.20-2             9.1.21-1
                            quiterss             0.19.2-1             0.19.3-1
                           retro-gtk             0.18.0-1             0.18.1-1
                              ropper             1.13.4-1             1.13.5-1
                             scribus              1.5.5-6              1.5.5-7
                          shellcheck            0.7.0-162            0.7.0-167
                      signal-desktop             1.32.0-2             1.32.1-1
                         simple-scan             3.34.4-1             3.36.0-1
                              sn0int             0.17.1-1             0.18.0-1
                       soapyplutosdr              0.2.0-1              0.2.0-2
                               stack    2.1.3.20200209-62    2.1.3.20200209-66
                            startdde              5.0.1-2              5.0.1-3
            switchboard-plug-desktop              2.8.2-1              2.8.2-2
             switchboard-plug-locale              2.5.0-1              2.5.0-2
      switchboard-plug-user-accounts              2.3.0-1              2.3.0-2
                      tamarin-prover            1.4.1-281            1.4.1-283
                             taskell           1.9.2.0-37           1.9.2.0-40
                                tepl              4.2.1-1              4.4.0-1
         terraform-provider-keycloak             1.14.0-1             1.14.0-2
                               tilix              1.9.3-6              1.9.3-7
                               v2ray             4.22.1-1             4.22.1-2
         v2ray-domain-list-community       202003051416-1       202003080651-1
                              vibe-d              0.8.6-2              0.8.6-3
                       vim-ultisnips                3.1-4                3.2-1
                               vocal              2.4.2-1              2.4.2-2
                              weston              8.0.0-1              8.0.0-2
                              xmobar              0.32-53              0.32-56
                                yarn             1.22.0-1             1.22.2-1
                                 yaz             5.28.0-1             5.29.0-1
                          youtube-dl         2020.03.06-1         2020.03.08-1
                                zint              2.7.0-1              2.7.1-1
                             zint-qt              2.7.0-1              2.7.1-1
                               clash                    -             0.18.0-2
                haskell-atomic-write                    -            0.2.0.7-1
                       haskell-cborg                    -            0.2.2.1-1
                  haskell-cborg-json                    -            0.2.2.0-1
                    haskell-data-fix                    -              0.2.0-1
                      haskell-dotgen                    -              0.4.2-1
              haskell-generic-random                    -            1.3.0.0-1
            haskell-lens-family-core                    -              2.1.0-1
               haskell-pretty-simple                    -            3.2.2.0-1
                     haskell-repline                    -            0.2.2.0-1
                   haskell-serialise                    -            0.2.2.0-1
                haskell-shell-escape                    -              0.2.0-1
              haskell-simple-reflect                    -              0.3.3-1
              haskell-special-values                    -            0.1.0.0-1
                       haskell-spoon                    -              0.3.1-1
                               nvtop                    -              1.0.0-2


:: Different overlay package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE              testing             unstable
-------------------------------------------------------------------------------
                             systemd              244.3-2              245-1.0
                        systemd-libs              244.3-2              245-1.0
                  systemd-resolvconf              244.3-2              245-1.0
                  systemd-sysvcompat              244.3-2              245-1.0
                              libcap                    -               2.33-1


:: Different sync package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE              testing             unstable
-------------------------------------------------------------------------------
             ca-certificates-mozilla               3.50-1               3.51-1
                                curl             7.69.0-1             7.69.0-3
                              libcap               2.32-1               2.33-1
                                 nss               3.50-1               3.51-1
                                 ppp              2.4.7-6              2.4.7-7


:: Different overlay package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE              testing             unstable
-------------------------------------------------------------------------------
                         file-roller             3.32.4-1                    -
                gnome-control-center             3.34.4-1                    -


:: Different sync package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE              testing             unstable
-------------------------------------------------------------------------------
                          accerciser             3.34.4-1             3.36.0-1
                  adwaita-icon-theme             3.34.3-1             3.36.0-1
                            alacarte3.11.91+12+g1bb265f-3  3.36.0+0+g7b5fc64-1
                        at-spi2-core             2.34.0-1             2.36.0-1
                             autogen            5.18.12-3            5.18.14-1
                            calligra             3.1.0-27             3.1.0-29
                              cheese             3.34.0-23.34.0+23+gcac6d3a1-1
                            chromium      80.0.3987.132-1      80.0.3987.132-2
                             devhelp             3.34.0-1             3.36.0-1
                                 eog             3.34.2-1             3.36.0-1
                            epiphany             3.34.4-1             3.36.0-1
                              evince             3.34.2-1             3.36.0-1
                           evolution             3.34.4-1             3.36.0-1
                evolution-bogofilter             3.34.4-1             3.36.0-1
               evolution-data-server             3.34.4-1             3.36.0-1
                       evolution-ews             3.34.4-1             3.36.0-1
              evolution-spamassassin             3.34.4-1             3.36.0-1
                         file-roller             3.32.4-1             3.36.0-1
                               folks             0.13.1-2             0.13.2-1
                       four-in-a-row             3.34.4-1 3.35.92+4+g8d136a7-1
                                 gcr             3.34.0-13.35.91+13+g9986760-1
                               gedit             3.34.1-1             3.36.0-1
                       gedit-plugins             3.34.1-1             3.36.0-1
                                 gjs           2:1.58.5-1           2:1.64.0-1
                     glib-networking             2.62.3-1             2.64.0-1
                   gnome-backgrounds             3.34.0-1             3.36.0-1
                         gnome-books             3.34.0-13.34.0+21+g4d34d109-1
                       gnome-builder 3.34.1+11+gbf485934b-3           3.36.0-1
                    gnome-calculator             3.34.1-1             3.36.0-1
                      gnome-calendar             3.34.2-1             3.36.0-1
                         gnome-chess             3.34.0-1             3.36.0-1
                        gnome-clocks             3.34.0-1             3.36.0-1
                 gnome-color-manager             3.32.0-23.35.90+1+g98904208-1
                      gnome-contacts             3.34.1-13.35.90+48+g4776726-1
                gnome-control-center             3.34.4-1             3.36.0-1
                       gnome-desktop        1:3.34.4-1 1:3.35.91+2+g36a8f2e2-1
                    gnome-devel-docs 3.32.1+7+g67da0507-13.32.1+30+gf3ad0fe5-1
                  gnome-disk-utility             3.34.4-1             3.36.0-1
                     gnome-documents             3.34.0-1 3.34.0+6+g966b04ec-1
                   gnome-font-viewer             3.34.0-1 3.34.0+27+g5ffd1ba-1
          gnome-getting-started-docs             3.34.1-1 3.35.92+1+g635b61d-1
                      gnome-mahjongg             3.34.0-1             3.36.1-1
                          gnome-maps             3.34.3-1             3.36.0-1
                         gnome-menus             3.32.0-1  3.35.3+1+g4954819-1
                         gnome-mines             3.34.0-1             3.36.0-1
                         gnome-music           1:3.34.4-1           1:3.36.0-1
                       gnome-nibbles             3.34.2-1             3.36.0-1
                         gnome-notes             3.34.2-1             3.36.0-1
               gnome-online-accounts            3.34.1-1 3.35.90+2+g72028173-1
                gnome-remote-desktop              0.1.7-1              0.1.7-2
                        gnome-robots             3.34.1-1             3.36.0-1
                       gnome-session             3.34.2-1 3.35.3+9+g86d4132c-1
               gnome-settings-daemon             3.34.2-13.35.92+5+g6cb14714-1
                         gnome-shell           1:3.34.4-1           1:3.36.0-1
              gnome-shell-extensions             3.34.2-1             3.36.0-1
                        gnome-sudoku             3.34.1-1             3.36.0-1
                gnome-system-monitor             3.32.1-1             3.36.0-1
                      gnome-terminal             3.34.2-1           3.36.0.1-1
                      gnome-tetravex             3.34.4-1 3.35.92+6+g65f0423-1
                     gnome-user-docs           3.34.1-1 3.35.92+15+g682e41b2-1
               gobject-introspection             1.62.0-3             1.64.0-1
       gobject-introspection-runtime             1.62.0-3             1.64.0-1
           gsettings-desktop-schemas             3.34.0-1 3.35.91+8+gc7427c9-1
                              gthumb              3.8.3-1              3.9.1-1
                      gtksourceview4              4.4.0-1              4.6.0-1
                                gvfs             1.42.2-2             1.44.0-1
                            gvfs-afc             1.42.2-2             1.44.0-1
                            gvfs-goa             1.42.2-2             1.44.0-1
                         gvfs-google             1.42.2-2             1.44.0-1
                        gvfs-gphoto2             1.42.2-2             1.44.0-1
                            gvfs-mtp             1.42.2-2             1.44.0-1
                            gvfs-nfs             1.42.2-2             1.44.0-1
                            gvfs-smb             1.42.2-2             1.44.0-1
                         imagemagick           7.0.9.27-1           7.0.10.0-1
                     imagemagick-doc           7.0.9.27-1           7.0.10.0-1
                            inkscape            0.92.4-12            0.92.4-14
                          kitinerary            19.12.3-1            19.12.3-2
                                krfb            19.12.3-1            19.12.3-3
                          libcryptui3.12.2+41+gf29d1d37-23.12.2+55+ged3b12af-1
                           libdazzle             3.34.1-1             3.36.0-1
                            libfido2              1.3.0-5              1.3.1-1
                            libinput             1.15.2-1             1.15.3-1
                       libkeybinder3              0.3.2-2              0.3.2-3
                          libmagick6          6.9.10.97-1           6.9.11.0-1
               libnautilus-extension             3.34.2-1             3.36.0-1
                              libnma             1.8.24-1             1.8.28-1
                             libpeas             1.24.1-2             1.26.0-1
                      libphonenumber             8.11.0-2             8.11.5-1
                            libproxy            0.4.15-13 0.4.15+33+g454a499-1
                   libreoffice-fresh              6.4.1-1              6.4.1-3
               libreoffice-fresh-sdk              6.4.1-1              6.4.1-3
                   libreoffice-still              6.3.5-1              6.3.5-3
               libreoffice-still-sdk              6.3.5-1              6.3.5-3
                             librsvg           2:2.46.4-1           2:2.48.0-1
                             libsoup             2.68.4-1             2.70.0-1
                          libsynctex         2019.51075-6         2019.51075-7
                           lightsoff             3.34.0-1             3.36.0-1
                           mercurial                5.3-1              5.3.1-1
                                 moc            1:2.5.2-2            1:2.5.2-3
                              mutter             3.34.4-1             3.36.0-1
                            nautilus             3.34.2-1             3.36.0-1
              network-manager-applet             1.8.24-1             1.16.0-1
                nm-connection-editor             1.8.24-1             1.16.0-1
                             openmpi              4.0.2-3              4.0.3-1
                            pipewire              0.2.7-2              0.3.1-1
                       pipewire-docs              0.2.7-2              0.3.1-1
                              polari             3.34.1-1             3.36.0-1
                             poppler             0.85.0-1             0.86.1-1
                        poppler-glib             0.85.0-1             0.86.1-1
                         poppler-qt5             0.85.0-1             0.86.1-1
                     pygobject-devel             3.34.0-3             3.36.0-1
                              python              3.8.1-4              3.8.2-1
                        python-atspi             2.34.0-3             2.36.0-1
                       python-django              3.0.3-1              3.0.4-1
                      python-gobject             3.34.0-3             3.36.0-1
                    python-packaging               20.2-1               20.3-1
                   python-setuptools           1:45.2.0-1           1:45.3.0-1
                        python-tests              3.8.1-4              3.8.2-1
                     python2-gobject             3.34.0-3             3.36.0-1
                   python2-packaging               20.2-1               20.3-1
                       qt5-webengine             5.14.1-1             5.14.1-2
                        quadrapassel             3.34.1-1 3.35.92+5+g78685da-1
                                 re2         1:20200101-1         1:20200303-1
                             sysprof             3.34.1-1             3.36.0-1
                                tali             3.32.1-1             3.36.0-1
                         texlive-bin         2019.51075-6         2019.51075-7
                               totem             3.34.1-1             3.34.1-2
                          vte-common             0.58.3-1             0.60.0-1
                                vte3             0.58.3-1             0.60.0-1
                          webkit2gtk             2.26.4-1            2.27.91-1
                  xdg-desktop-portal              1.6.0-1              1.6.0-2
              xdg-desktop-portal-kde             5.18.2-1             5.18.2-3
                              xfburn              0.6.1-1              0.6.2-1
                                yelp             3.34.0-1             3.36.0-1
                            yelp-xsl             3.34.2-1             3.36.0-1
                       libpipewire02                    -              0.2.7-1
                      libproxy-mozjs                    - 0.4.15+33+g454a499-1
                     libproxy-webkit                    - 0.4.15+33+g454a499-1
                       pipewire-jack                    -              0.3.1-1
                      pipewire-pulse                    -              0.3.1-1


:: Different overlay package(s) in repository multilib x86_64

-------------------------------------------------------------------------------
                             PACKAGE              testing             unstable
-------------------------------------------------------------------------------
                      lib32-gamemode                1.5-1              1.5.1-1
                       lib32-systemd              244.3-1                245-1
                        lib32-libcap                    -               2.33-1


:: Different sync package(s) in repository multilib x86_64

-------------------------------------------------------------------------------
                             PACKAGE              testing             unstable
-------------------------------------------------------------------------------
                        lib32-libcap               2.32-1               2.33-1
                       lib32-librsvg             2.46.4-1             2.48.0-1
                           lib32-nss               3.50-1               3.51-1

  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

Check if your mirror has already synced:

  1. Regarding gnome 3.36, shouldn't the "extensions" category in the tweaks app have disappeared? For me now, I can control extensions both from the Tweaks app and the Extensions app. However I just noticed that from the Tweaks app, if you turn an extension on/off, it doesn't actually work. However, if that extension was turned on/off from the Extensions app, the Tweaks app will display the correct on/off status.

  2. My volume up/down sound now only plays every "few" times I press the volume up/down shortcut keys, instead of on every time I press them.

  3. Dash-to-Dock says "Error loading extension". I'm pretty sure the team is already aware of this, just wanted to point it out for users updating now to 3.36.

  4. When reloading Gnome-Shell with Alt+F2, then typing r, the icon theme and application theme go wild, and different themed icons and apps pop up. However when restarting, all themes are correct again... Probably this is already reported on gnome's gitlab.

I already upgraded to gnome 3.36 and my notes is:

  • Two important extensions for me (vitals and activities configuration) not working.
  • Dash to Panel working fine after the last update.
  • I have the same error that @pilililo2 described above at number 4

Everything else are working fine.

ibus-daemon does not run by default.

@philm matcha-gtk-theme for gnome-shell is broken after the last updates of gnome 3.36.
The calendar's color has changed.

Screenshot

Search function also seems to fail in Gnome 3.36.
It seems that in Inkscape i can't interact with the objects inside the drawing. need to investigate more on this once i got more time.

Please report upstream ...

Weird output from systemd-analyze blame after the update. Please see:

No problem here on my manjaro mate powered laptop. Looks like extensions need to be updated. This is logical for every major upgrade of Gnome.

I noticed in a VM that pamac indicator tray from pamac 9.4.0rc3 is not loaded and blocked in gnome tweaks.

started getting lockups on surface pro 2017, reverted to older systemd (all) and will see how it goes.

1 Like

Known bug: https://github.com/systemd/systemd/issues/14830

2 Likes

I'm waiting for libinput 1.15.3. Some says it's already on Arch but 2 days are gone and it's still not on unstable :frowning: .

This is important, because 1.15.1 and 1.15.2 are bugged so the libinput-gestures won't work.

What is the hold up? Why Arch has 1.15.3 and Manjaro unstable not?

1 Like
1 Like

Systemd can't update to the new version (245-1 -> 245-2) posted in the last day or so:

sudo pacman -Syu


:: Synchronizing package databases...
 core is up to date
 extra is up to date
 community is up to date
 multilib is up to date
 valveaur is up to date
 mesa-git is up to date
 chaotic-aur is up to date
:: Starting full system upgrade...
resolving dependencies...
warning: cannot resolve "libp11-kit", a dependency of "systemd"
warning: cannot resolve "libp11-kit", a dependency of "systemd"
warning: cannot resolve "libp11-kit", a dependency of "systemd"
warning: cannot resolve "libp11-kit", a dependency of "systemd"
warning: cannot resolve "libp11-kit", a dependency of "systemd"
:: The following package cannot be upgraded due to unresolvable dependencies:
      systemd

:: Do you want to skip the above package for this upgrade? [y/N]

The package info through pacman -Si p11-kit shows that it "provides' libp11-kit.so=0-64 but apparently that's not good enough for the newest version of systemd, and obviously there is no such thing as a package called libp11-kit.

1 Like

I also got this warning a bit ago and didn't have time look into it or post yet.

Yeah, something is wrong with the packaging for the either the new systemd or the new p11-kit, and until it gets fixed there's not really anything that can be done aside from using svn and all that nonsense, at least as far as I know. But hey, that's what Unstable is for, to find these problems, right?

I think I've found a discrepancy on the whole systemd/libp11-kit issue. there IS a libp11-kit package in the upstream Arch core repository, I just checked on my ArcoLinux box which didn't give the same error, and sure enough libp11-kit is in the core repository. It's missing from Manjaro's core repository, however.

I currently don't have libp11-kit installed on Arco, but when I run sudo pacman -Syu to update on the ArcoLinux install, it shows that it will be pulling in libp11-kit as a dependency for the update.

So it seems we have officially found a bug, new systemd in Manjaro does not have all the required dependencies, which are available upstream. The libp11-kit package needs to be added to the core repository.

1 Like
[derek@derek-i3 ~]$ sudo pacman -Syu
[sudo] password for derek: 
:: Synchronizing package databases...
 core is up to date
 extra is up to date
 community is up to date
 multilib is up to date
:: Starting full system upgrade...
resolving dependencies...
warning: cannot resolve "libp11-kit", a dependency of "systemd"
warning: cannot resolve "libp11-kit", a dependency of "systemd"
:: The following package cannot be upgraded due to unresolvable dependencies:
      systemd

:: Do you want to skip the above package for this upgrade? [y/N] ^C
Interrupt signal received

[derek@derek-i3 ~]$ pacman -Si libp11-kit
error: package 'libp11-kit' was not found
[derek@derek-i3 ~]$ pacman -Qi libp11-kit
error: package 'libp11-kit' was not found
[derek@derek-i3 ~]$ pacman -Qi libp11-kit
error: package 'libp11-kit' was not found
[derek@derek-i3 ~]$ pacman -Qq libp11-kit
error: package 'libp11-kit' was not found
[derek@derek-i3 ~]$ pacman -Qi systemd
Name            : systemd
Version         : 245-1.0
Description     : system and service manager
Architecture    : x86_64
URL             : https://www.github.com/systemd/systemd
Licenses        : GPL2  LGPL2.1
Groups          : None
Provides        : nss-myhostname  systemd-tools=245  udev=245
Depends On      : acl  bash  cryptsetup  dbus  iptables  kbd  kmod  hwids  libcap  libgcrypt  systemd-libs  libidn2  libidn2.so=0-64  lz4
                  pam  libelf  libseccomp  util-linux  xz  pcre2  audit
Optional Deps   : libmicrohttpd: remote journald capabilities
                  quota-tools: kernel-level quota management
                  systemd-sysvcompat: symlink package to provide sysvinit binaries [installed]
                  polkit: allow administration as unprivileged user [installed]
                  curl: machinectl pull-tar and pull-raw [installed]
Required By     : accountsservice  bluez-utils  chromium  colord  crda  cups  cups-filters  dhcpcd  lib32-systemd  libinput  libmbim
                  libpulse  libwacom  maia-console  manjaro-hotfixes  mkinitcpio  modemmanager  netctl  p11-kit  pcsclite  polkit  rtkit
                  subversion  systemd-fsck-silent  systemd-sysvcompat  upower  xdg-user-dirs
Optional For    : None
Conflicts With  : nss-myhostname  systemd-tools  udev
Replaces        : nss-myhostname  systemd-tools  udev
Installed Size  : 22.53 MiB
Packager        : Philip Mueller <philm@manjaro.org>
Build Date      : Sat 07 Mar 2020 01:00:46 AM PST
Install Date    : Sat 07 Mar 2020 05:11:16 PM PST
Install Reason  : Explicitly installed
Install Script  : Yes
Validated By    : Signature

[derek@derek-i3 ~]$ 


I do have p11-kit installed though. it says it provides libp11-kit. Which was required by systemd

[derek@derek-i3 ~]$ pacman -Qi p11-kit
Name            : p11-kit
Version         : 0.23.20-2
Description     : Provides a way to load and enumerate PKCS#11 modules
Architecture    : x86_64
URL             : https://p11-glue.freedesktop.org
Licenses        : BSD
Groups          : None
Provides        : libp11-kit.so=0-64
Depends On      : glibc  libtasn1  libffi  systemd  libsystemd.so=0-64
Optional Deps   : None
Required By     : ca-certificates-utils  gcr  gnutls  nss
Optional For    : None
Conflicts With  : None
Replaces        : None
Installed Size  : 3.34 MiB
Packager        : Bartłomiej Piotrowski <bpiotrowski@archlinux.org>
Build Date      : Wed 29 Jan 2020 10:25:37 AM PST
Install Date    : Thu 13 Feb 2020 11:26:11 AM PST
Install Reason  : Installed as a dependency for another package
Install Script  : Yes
Validated By    : Signature

[derek@derek-i3 ~]$ 



Works on my laptop though.

@fbodymechanic @gardotd426 follow Arch changes since Manjaro guys have forgotten to update gitlab's systemd files...

1 Like

@philm I did it and fixed. Could you upgrade please?

Forum kindly sponsored by